<a id="mypy-boto3-lookoutequipment"></a>

# mypy-boto3-lookoutequipment

[![PyPI - mypy-boto3-lookoutequipment](https://img.shields.io/pypi/v/mypy-boto3-lookoutequipment.svg?color=blue)](https://pypi.org/project/mypy-boto3-lookoutequipment)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-lookoutequipment.svg?color=blue)](https://pypi.org/project/mypy-boto3-lookoutequipment)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-lookoutequipment?color=blue)](https://pypistats.org/packages/mypy-boto3-lookoutequipment)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.LookoutEquipment 1.17.95](https://boto3.amazonaws.com/v1/documentation/api/1.17.95/reference/services/lookoutequipment.html#LookoutEquipment)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-buider 4.18.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-lookoutequipment docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_lookoutequipment/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-lookoutequipment](#mypy-boto3-lookoutequipment)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

Install `boto3-stubs` for `LookoutEquipment` service.

```bash
python -m pip install boto3-stubs[lookoutequipment]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[lookoutequipment]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutequipment]'`

Both type checking and auto-complete should work for `LookoutEquipment`
service. No explicit type annotations required, write your `boto3` code as
usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto-stubs[lookoutequipment]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutequipment]'`

Both type checking and auto-complete should work for `LookoutEquipment`
service. No explicit type annotations required, write your `boto3` code as
usual. Auto-complete can be slow on big projects or if you have a lot of
installed `boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE support `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[lookoutequipment]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutequipment]'`
- Run `mypy` as usual

Type checking should work for `LookoutEquipment` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[lookoutequipment]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutequipment]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `LookoutEquipment` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`LookoutEquipmentClient` provides annotations for
`boto3.client("lookoutequipment")`.

```python
import boto3

from mypy_boto3_lookoutequipment import LookoutEquipmentClient

client: LookoutEquipmentClient = boto3.client("lookoutequipment")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: LookoutEquipmentClient = session.client("lookoutequipment")
```

<a id="literals"></a>

### Literals

`mypy_boto3_lookoutequipment.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from mypy_boto3_lookoutequipment.literals import (
    DataUploadFrequencyType,
    DatasetStatusType,
    InferenceExecutionStatusType,
    InferenceSchedulerStatusType,
    IngestionJobStatusType,
    ModelStatusType,
    TargetSamplingRateType,
)

def check_value(value: DataUploadFrequencyType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_lookoutequipment.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_lookoutequipment.type_defs import (
    CreateDatasetResponseTypeDef,
    CreateInferenceSchedulerResponseTypeDef,
    CreateModelResponseTypeDef,
    DataIngestionJobSummaryTypeDef,
    DataPreProcessingConfigurationTypeDef,
    DatasetSchemaTypeDef,
    DatasetSummaryTypeDef,
    DescribeDataIngestionJobResponseTypeDef,
    DescribeDatasetResponseTypeDef,
    DescribeInferenceSchedulerResponseTypeDef,
    DescribeModelResponseTypeDef,
    InferenceExecutionSummaryTypeDef,
    InferenceInputConfigurationTypeDef,
    InferenceInputNameConfigurationTypeDef,
    InferenceOutputConfigurationTypeDef,
    InferenceS3InputConfigurationTypeDef,
    InferenceS3OutputConfigurationTypeDef,
    InferenceSchedulerSummaryTypeDef,
    IngestionInputConfigurationTypeDef,
    IngestionS3InputConfigurationTypeDef,
    LabelsInputConfigurationTypeDef,
    LabelsS3InputConfigurationTypeDef,
    ListDataIngestionJobsResponseTypeDef,
    ListDatasetsResponseTypeDef,
    ListInferenceExecutionsResponseTypeDef,
    ListInferenceSchedulersResponseTypeDef,
    ListModelsResponseTypeDef,
    ListTagsForResourceResponseTypeDef,
    ModelSummaryTypeDef,
    S3ObjectTypeDef,
    StartDataIngestionJobResponseTypeDef,
    StartInferenceSchedulerResponseTypeDef,
    StopInferenceSchedulerResponseTypeDef,
    TagTypeDef,
)

def get_structure() -> CreateDatasetResponseTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-lookoutequipment` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-lookoutequipment docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_lookoutequipment/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
